package com.muyu.market.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业信息对象 sys_firminfo
 *
 * @author 2112A
 * @date 2024-08-23
 */

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_firminfo")
public class SysFirm extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 企业数据id */
    @TableId( type = IdType.AUTO)
    private Long firmId;

    /** 头像 */
    @Excel(name = "头像")
    private String firmAvatr;

    /** 创建人昵称 */
    @Excel(name = "创建人昵称")
    private String createdName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String firmTem;

    /** 姓名 */
    @Excel(name = "姓名")
    private String names;

    /** 职位 */
    @Excel(name = "职位")
    private String position;

    /** 公司所在省市区 */
    @Excel(name = "公司所在省市区")
    private String firmRegion;

    /** 公司详细地址 */
    @Excel(name = "公司详细地址")
    private String firmFrom;

    /** 社会信誉 */
    @Excel(name = "社会信誉")
    private String socialReputation;

    /** 营业执照 */
    @Excel(name = "营业执照")
    private String businessLicense;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firmTime;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal firmScore;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("firmId", getFirmId())
            .append("firmAvatr", getFirmAvatr())
            .append("createdName", getCreatedName())
            .append("phone", getPhone())
            .append("firmTem", getFirmTem())
            .append("names", getNames())
            .append("position", getPosition())
            .append("firmRegion", getFirmRegion())
            .append("firmFrom", getFirmFrom())
            .append("socialReputation", getSocialReputation())
            .append("businessLicense", getBusinessLicense())
            .append("firmTime", getFirmTime())
            .append("firmScore", getFirmScore())
            .toString();
    }
}
